<ul class="{{ menu_class }}">

  {% for link in menu_links %}

    {% comment %}<!-- does this link in our iteration point to the current page? -->{% endcomment %}
    {% assign current = false %}{% if template == 'index' and link.url == '/' %}{% assign current = true %}{% elsif collection.url == link.url %}{% assign current = true %}{% elsif blog.url == link.url %}{% assign current = true %}{% elsif page.url == link.url %}{% assign current = true %}{% elsif page_title == link.title %}{% assign current = true %}{% elsif template == 'list-collections' and link.url == '/collections' %}{% assign current = true %}{% elsif page_title == 'Products' and link.url == '/collections/all' %}{% assign current = true %}{% elsif template == 'article' and link.url == article.url %}{% assign current = true %}{% endif %}
    {% comment %}<!-- end of soul-searching about active class -->{% endcomment %}

    {% capture child_list_handle %}{{ link.title | handle }}{% endcapture %}
  <li class="menu-item-{{ link.title | handleize }}{%
    if current %} active{% endif %}{%
    if linklists[child_list_handle] and linklists[child_list_handle].links.size > 0 %} has-sub-menu{% endif %}">
    {% if linklists[child_list_handle] and linklists[child_list_handle].links.size > 0 %}
    <a href="{{ link.url }}" title="{{ link.title }}"><span>{{ link.title }}</span></a>
      {% capture sub_menu_class %}sub-menu sub-menu-{{ child_list_handle }}{% endcapture %}
      {% if menu_class contains 'mega-menu' %}
    <div class="mega-sub-menu">
      <div class="mega-sub-menu-wrap clearfix">
      {% endif %}
      {% if menu_class contains 'mega-menu' %}
        {% capture submenu_append_item %}<a href="{{ link.url }}">All {{ link.title }}</a>{% endcapture %}
        {% include 'mainnav', menu_links: linklists[child_list_handle].links, menu_class: sub_menu_class, append_item: submenu_append_item %}
      {% endif %}
      {% if menu_class contains 'mega-menu' %}
        {% assign buckets = '' %}
        {% assign link_title_handleized = link.title | handleize %}
        {% if section.blocks.size > 0 %}
          {% for block in section.blocks %}
            {% if block.settings.sub_menu_slug == link_title_handleized %}
              {% for i in (1..4) %}
                {% capture image_key %}bucket_{{ i }}_image{% endcapture %}
                {% capture title_key %}bucket_{{ i }}_title{% endcapture %}
                {% capture url_key %}bucket_{{ i }}_url{% endcapture %}
          {% capture buckets %}{{ buckets }}<a href="{{ block.settings[url_key] }}">
            <img src="{{ block.settings[image_key] | img_url: 'master' }}" alt="{{ block.settings[title_key] }}" />
            <span class="title">{{ block.settings[title_key] }}</span>
          </a>{% endcapture %}
              {% endfor %}
            {% endif %}
          {% endfor %}
        {% endif %}
        {% if buckets != blank %}
        <div class="buckets">
          {{ buckets }}
        </div><!-- .buckets -->
        {% endif %}
      </div><!-- .mega-sub-menu-wrap -->
    </div><!-- .mega-sub-menu -->
      {% endif %}
    {% else %}
    <a href="{% if child_list_handle == 'shop' %}javascript: void(0){% else %}{{ link.url }}{% endif %}" title="{{ link.title }}"><span>{{ link.title | replace: ' Pre Order', '' }}</span></a>
    {% endif %}
  </li>

  {% endfor %}
  
  {% if append_item != blank %}
  <li class="menu-item-all">{{ append_item }}</li>
  {% endif %}

</ul>